import can


class CanBus(object):
    def __init__(self):
        try:
            self.bus = can.Bus(
                interface='socketcan', channel='can0', bitrate=500000
            )
        except OSError:
            # If the socketcan interface is not available, try using the virtual can interface
            self.bus = can.Bus(
                interface='socketcan', channel='vcan0', bitrate=500000
            )

    def __new__(cls, *args, **kwargs):
        # Will only create a new instance if one does not already exist (singleton pattern)
        if not hasattr(cls, '_instance'):
            cls._instance = super(CanBus, cls).__new__(cls)

        return cls._instance
