from setuptools import find_packages, setup
from glob import glob

import os


package_name = 'control'

setup(
    name=package_name,
    version='0.0.1',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        # Include all launch files.
        (
            os.path.join('share', package_name, 'launch'),
            glob(os.path.join('launch', '*launch.[pxy][yma]*'))
        ),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='Alexandru',
    maintainer_email='gumaniuc.alexandru@gmail.com',
    description='A package responsible for controlling the speed, steering and braking of Maverick',  # noqa: E501
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'controller_manager = control.controller_manager:main',
        ],
    },
)
