from typing import Optional

import os
import cv2


def display_image_safe(image: cv2.Mat, title: str = "Image", height: Optional[int] = None, width: Optional[int] = None):
    if os.environ.get('DISPLAY') is not None:
        # Resize the image
        if height is not None and width is not None:
            image = cv2.resize(image, (width, height))

        cv2.imshow(title, image)
        cv2.waitKey(1)
