from geometry_msgs.msg import Twist


class Movement(object):
    def __init__(self) -> None:
        self._twist_message = Twist()

    def get_twist_message(self) -> Twist:
        return self._twist_message

    def stop(self):
        self._twist_message.linear.x = 0.0
        self._twist_message.angular.z = 0.0
        return self.get_twist_message()

    def move_forward(self, speed: float) -> Twist:
        self._twist_message.linear.x = speed
        self._twist_message.angular.z = 0.0
        return self.get_twist_message()

    def move_backwards(self, speed: float) -> Twist:
        self._twist_message.linear.x = -speed
        self._twist_message.angular.z = 0.0
        return self.get_twist_message()

    def turn_left(self, speed: float, linear: float = 0.4) -> Twist:
        self._twist_message.angular.z = speed
        self._twist_message.linear.x = linear
        return self.get_twist_message()

    def turn_right(self, speed: float, linear: float = 0.6) -> Twist:
        self._twist_message.angular.z = -speed
        self._twist_message.linear.x = linear
        return self.get_twist_message()
