import launch
import launch_ros.actions


def generate_launch_description():
    # Create a launch description object
    ld = launch.LaunchDescription()

    # Add each node to the launch description
    ld.add_action(launch_ros.actions.Node(
        package='core',
        executable='lane_tracking',
        name='lane_tracking',
        output='screen'
    ))

    ld.add_action(launch_ros.actions.Node(
        package='core',
        executable='overtaking',
        name='overtaking',
        output='screen'
    ))

    ld.add_action(launch_ros.actions.Node(
        package='core',
        executable='pedestrian_crossing',
        name='pedestrian_crossing',
        output='screen'
    ))

    ld.add_action(launch_ros.actions.Node(
        package='core',
        executable='speed_limit',
        name='speed_limit',
        output='screen'
    ))

    ld.add_action(launch_ros.actions.Node(
        package='core',
        executable='traffic_light',
        name='traffic_light',
        output='screen'
    ))

    ld.add_action(launch_ros.actions.Node(
        package='core',
        executable='planning',
        name='planning',
        output='screen'
    ))

    return ld
