from setuptools import find_packages, setup
from glob import glob

import os

package_name = 'core'

setup(
    name=package_name,
    version='0.0.1',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        # Include all launch files.
        (
            os.path.join('share', package_name, 'launch'),
            glob(os.path.join('launch', '*launch.[pxy][yma]*'))
        ),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='Alexandru',
    maintainer_email='gumaniuc.alexandru@gmail.com',
    description='A package containing the logic behind the core funcionalities of Maverick',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'lane_tracking = core.lane_tracking.lane_tracking:main',
            'calibration_lane_tracking = core.lane_tracking.calibration.calibration_node:main',
            'scuffed_gui_calibration = core.lane_tracking.calibration.scuffed_gui_calibration:main',
            'overtaking = core.overtaking.overtaking:main',
            'parallel_parking = core.parallel_parking.parallel_parking:main',
            'pedestrian_crossing = core.pedestrian.pedestrian_crossing:main',
            'speed_limit = core.speed.speed_limit:main',
            'traffic_light = core.traffic_light.traffic_light:main',
            'planning = core.planning:main',
        ],
    },
)
