from rclpy.node import Node
from geometry_msgs.msg import Twist

import rclpy


class CmdVelTranslationNode(Node):
    def __init__(self):
        super().__init__('cmd_vel_translation_node')
        self.get_logger().info('CmdVelTranslationNode started')

        self.subscription = self.create_subscription(
            Twist,
            '/cmd_vel',
            self.cmd_vel_callback,
            10
        )

        self.publisher = self.create_publisher(
            Twist,
            '/ackermann_controller/reference_unstamped',
            10
        )

    def cmd_vel_callback(self, msg: Twist) -> None:
        self.publisher.publish(msg)


def main(args=None):
    rclpy.init(args=args)
    node = CmdVelTranslationNode()
    rclpy.spin(node)
    node.destroy_node()
    rclpy.shutdown()


if __name__ == '__main__':
    main()
