import os
from glob import glob
from setuptools import find_packages, setup

package_name = 'gazebo_sim'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        (
            'share/ament_index/resource_index/packages',
            ['resource/' + package_name]
        ),
        (
            'share/' + package_name, ['package.xml']
        ),
        # Include all launch files.
        (
            os.path.join('share', package_name, 'launch'),
            glob(os.path.join('launch', '*launch.[pxy][yma]*'))
        ),
        # Include all urdf files.
        (
            os.path.join('share', package_name, 'urdf'),
            glob(os.path.join('urdf', '*.urdf.xacro'))
        ),
        # Include all config files.
        (
            os.path.join('share', package_name, 'config'),
            glob(os.path.join('config', '*.yaml'))
        ),
        # Include all world files.
        (
            os.path.join('share', package_name, 'worlds'),
            glob(os.path.join('worlds', '*.world'))
        ),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='Alexandru',
    maintainer_email='gumaniuc.alexandru@gmail.com',
    description='A package meant for testing Maverick in a simulated environment (using Gazebo)',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'cmd_vel_translation = gazebo_sim.cmd_vel_translation:main',
        ],
    },
)
