from launch import LaunchDescription
from launch.actions import IncludeLaunchDescription
from launch.launch_description_sources import PythonLaunchDescriptionSource

import os


def generate_launch_description():
    os.environ['GAZEBO_SIMULATION'] = 'false'

    ld = LaunchDescription()

    # Get the path to the perception package
    package_path = os.path.dirname(os.path.realpath(__file__))
    file_name = os.path.basename(__file__)

    # List all the launch files in the perception package
    launch_files = [
        f for f in os.listdir(
            package_path
        ) if f.endswith('.launch.py') and f != file_name
    ]

    # print(f'Launching the following files: {launch_files}')

    # Launch each launch file
    for launch_file in launch_files:
        launch_file_path = os.path.join(package_path, launch_file)
        ld.add_action(IncludeLaunchDescription(
            PythonLaunchDescriptionSource(launch_file_path)
        ))

    return ld
