from launch import LaunchDescription
from launch_ros.actions import Node

import os


def generate_launch_description():
    os.environ['GAZEBO_SIMULATION'] = 'false'

    front_camera = Node(
        package='perception',
        executable='front_camera',
        output='screen',
    )

    left_camera = Node(
        package='perception',
        executable='left_camera',
        output='screen',
    )

    right_camera = Node(
        package='perception',
        executable='right_camera',
        output='screen',
    )

    return LaunchDescription([
        front_camera,
        left_camera,
        right_camera
    ])
