import os
from glob import glob
from setuptools import find_packages, setup

package_name = 'perception'

setup(
    name=package_name,
    version='0.0.1',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        # Include all launch files.
        (
            os.path.join('share', package_name, 'launch'),
            glob(os.path.join('launch', '*launch.[pxy][yma]*'))
        ),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='Alexandru',
    maintainer_email='gumaniuc.alexandru@gmail.com',
    description='A package containing nodes that retrieve and publish raw information from Maverick\'s sensors',  # noqa: E501
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'front_camera = perception.cameras.front_camera:main',
            'left_camera = perception.cameras.left_camera:main',
            'right_camera = perception.cameras.right_camera:main',
        ],
    },
)
